from abc import ABC, abstractmethod
from domain.users import User

class UserRepository(ABC):
    @abstractmethod
    def save(self, user: User):
        ...
    @abstractmethod
    def viewAll(self) -> list[User]:
        ...
    @abstractmethod
    def viewById(self, user_id:int):
        ...